#include "snf.h"
#include <minifmod.h>


static FMUSIC_MODULE *mod;

unsigned int fileopen(char *name)
{
  return((unsigned int)fopen(name, "rb"));
}

void fileclose(unsigned int handle)
{
  fclose((FILE *)handle);
}

int fileread(void *buffer, int size, unsigned int handle)
{
  return(fread(buffer, 1, size, (FILE *)handle));
}

void fileseek(unsigned int handle, int pos, signed char mode)
{
  fseek((FILE *)handle, pos, mode);
}

int filetell(unsigned int handle)
{
  return (ftell((FILE *)handle));
}


void initmusic()
{
  FSOUND_File_SetCallbacks(fileopen, fileclose, 
		  fileread, fileseek, 
		  filetell);
  FSOUND_Init(44100, 0);
  mod = FMUSIC_LoadSong("bola.xm", NULL);
}

void closemusic()
{
  FMUSIC_StopSong(mod);
  FMUSIC_FreeSong(mod);
  FSOUND_Close();
}

void playmusic()
{
  FMUSIC_PlaySong(mod);  
}

void refreshevents()
{
/*    static int oldrow = -1;
    int ord, row;
    ord = FMUSIC_GetOrder(mod);
    row = FMUSIC_GetRow(mod);
  */

    }
    oldrow = row;
}
